<template>
  <div>
    <h2>Calendar</h2>
     <vue-event-calendar
      :events="demoEvents"
      @dayChanged="handleDayChange"
    >
    </vue-event-calendar>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import store from '@/store/Store'

export default {
  name: 'Calendar',
  store,
  data () {
    return {
      title: 'Titre',
      demoEvents: [{
        date: '2016/11/12', // Required
        title: 'Foo' // Required
      }, {
        date: '2016/12/15',
        title: 'Bar',
        desc: 'description',
        customClass: 'disabled highlight' // Custom classes to an calendar cell
      }]
    }
  },
  beforeCreate () {
    store.dispatch('CyclesStore/loadCycles')
      .then(
        (response) => {
        },
        (error) => {
          this.$toastr.e(error.response.data.message)
        }
      )
  },
  methods: {
  },
  computed: {
    ...mapGetters({
      cycles: 'CyclesStore/cycles'
    })
  }
}
</script>
